Korg::KMPInstrument Class Reference

.KMP multi sample file More...

`#include <Korg.h>`

## Public Member Functions

| KMPInstrument (const String &filename)
KMPRegion * | GetRegion (int index)
int | GetRegionCount () const
bool | Use2ndStart () const
String | FileName () const
String | Name () const
| Returns the long name (Name24) if it was stored in the file, otherwise returns the short name (Name16).

## Public Attributes

String | Name16
| Human readable name of the instrument for display purposes (not the file name). Since this name is always stored with 16 bytes, this name must never be longer than 16 characters. This information is stored in all .KMP files (.
String | Name24
| Longer Human readable name (24 characters) of the instrument for display purposes (not the file name). This longer name might not be stored in all versions of .KMP files (.
uint8_t | Attributes
| Bit field of attribute flags (ATM only bit 0 is used, better call Use2ndStart() instead of accessing this variable directly though).

## Detailed Description

.KMP multi sample file

Implements access to so called KORG "multi sample" files with ".KMP" file name extension. A KMPInstrument combines individual KSFSamples (.KSF files) to a logical group of samples. It also maps the individual (mono) samples to consecutive areas (KMPRegion) on the keyboard.

A KMPInstrument only supports very simple articulation informations. Too simple for decent sounds. That's why this kind of file is usually not used directly on keyboards. Instead a keyboard uses a separate .PCG file for its more complex and very synthesis model specific and OS version specific articulation definitions.

There is no support for .PCG files in this library yet though.

Definition at line 171 of file Korg.h.

## Constructor & Destructor Documentation

## KMPInstrument()

Korg::KMPInstrument::KMPInstrument | ( | const String & | filename | ) |

Definition at line 369 of file Korg.cpp.

## ~KMPInstrument()

Korg::KMPInstrument::~KMPInstrument | ( |  | ) |

virtual

Definition at line 402 of file Korg.cpp.

## Member Function Documentation

## FileName()

String Korg::KMPInstrument::FileName | ( |  | ) | const

Definition at line 430 of file Korg.cpp.

## GetRegion()

KMPRegion * Korg::KMPInstrument::GetRegion | ( | int | index | ) |

Definition at line 408 of file Korg.cpp.

## GetRegionCount()

int Korg::KMPInstrument::GetRegionCount | ( |  | ) | const

Definition at line 414 of file Korg.cpp.

## Name()

String Korg::KMPInstrument::Name | ( |  | ) | const

Returns the long name (Name24) if it was stored in the file, otherwise returns the short name (Name16).

Definition at line 426 of file Korg.cpp.

References Name16, and Name24.

## Use2ndStart()

bool Korg::KMPInstrument::Use2ndStart | ( |  | ) | const

Definition at line 418 of file Korg.cpp.

## Member Data Documentation

## Attributes

uint8_t Korg::KMPInstrument::Attributes

Bit field of attribute flags (ATM only bit 0 is used, better call Use2ndStart() instead of accessing this variable directly though).

Definition at line 175 of file Korg.h.

## Name16

String Korg::KMPInstrument::Name16

Human readable name of the instrument for display purposes (not the file name). Since this name is always stored with 16 bytes, this name must never be longer than 16 characters. This information is stored in all .KMP files (.

See also
  Name()).

Definition at line 173 of file Korg.h.

Referenced by Name().

## Name24

String Korg::KMPInstrument::Name24

Longer Human readable name (24 characters) of the instrument for display purposes (not the file name). This longer name might not be stored in all versions of .KMP files (.

See also
  Name()).

Definition at line 174 of file Korg.h.

Referenced by Name().

The documentation for this class was generated from the following files:

- Korg.h
- Korg.cpp